<?php

App::uses('AppController', 'Controller');

class SagePayOffsiteController extends AppController {

	public $components = array(
		'EvSagePay.SagePayOffsite',
		'EvCheckout.OrderManager'
	);

/**
 * Allow the handle notification action
 *
 * @return void
 */
	public function beforeFilter() {
		$this->Auth->allow([
			'notification'
		]);
		parent::beforeFilter();
	}

/**
 * Handle the notification URL
 *
 * @return void
 */
	public function notification() {
		$this->autoRender = false;
		$this->SagePayOffsite->setup();
		$this->SagePayOffsite->processNotification();
	}
}
